summaryrefslogtreecommitdiffstats
path: root/source/l/gtk+3
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/gtk+3')
-rwxr-xr-xsource/l/gtk+3/gtk+3.SlackBuild28
-rw-r--r--source/l/gtk+3/slack-desc8
2 files changed, 24 insertions, 12 deletions
diff --git a/source/l/gtk+3/gtk+3.SlackBuild b/source/l/gtk+3/gtk+3.SlackBuild
index 6e97fbdbf..ab345c5d0 100755
--- a/source/l/gtk+3/gtk+3.SlackBuild
+++ b/source/l/gtk+3/gtk+3.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,8 +20,10 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
-VERSION=${VERSION:-$(echo gtk+-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+PKGNAM=gtk+3
+VERSION=${VERSION:-$(echo gtk+-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
NUMJOBS=${NUMJOBS:-" -j7 "}
@@ -36,7 +38,14 @@ if [ -z "$ARCH" ]; then
esac
fi
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-gtk3
@@ -58,8 +67,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG/usr
cd $TMP
rm -rf gtk+-$VERSION
-tar xvf $CWD/gtk+-$VERSION.tar.?z* || exit 1
-cd gtk+-$VERSION
+tar xvf $CWD/gtk+-$VERSION.tar.?z || exit 1
+cd gtk+-$VERSION || exit 1
chown -R root:root .
find . \
@@ -97,6 +106,9 @@ make install \
DESTDIR=$PKG \
|| exit 1
+# Don't ship .la files:
+rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+
# Don't clobber im-multipress.conf
mv $PKG/etc/gtk-3.0/im-multipress.conf $PKG/etc/gtk-3.0/im-multipress.conf.new
@@ -149,8 +161,8 @@ cp -a \
$PKG/usr/doc/gtk+3-$VERSION
( cd $PKG/usr/doc/gtk+3-$VERSION
ln -s /usr/share/gtk-doc/html/gail-libgail-util .
- ln -s /usr/share/gtk-doc/html/gdk .
- ln -s /usr/share/gtk-doc/html/gtk .
+ ln -s /usr/share/gtk-doc/html/gdk3 .
+ ln -s /usr/share/gtk-doc/html/gtk3 .
)
find $PKG/usr/doc/gtk+3-$VERSION/ -type f -exec chmod 644 {} \;
chown -R root:root $PKG/usr/doc/gtk+3-$VERSION
diff --git a/source/l/gtk+3/slack-desc b/source/l/gtk+3/slack-desc
index 47816927c..1224bc113 100644
--- a/source/l/gtk+3/slack-desc
+++ b/source/l/gtk+3/slack-desc
@@ -1,15 +1,15 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|' on
-# the right side marks the last column you can put a character in. You must make
-# exactly 11 lines for the formatting to be correct. It's also customary to
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
# leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
gtk+3: GTK+ version 3 (multi-platform GUI toolkit)
gtk+3:
gtk+3: This is GTK+, a multi-platform toolkit for creating graphical user
-gtk+3: interfaces. Offering a complete set of widgets, GTK+ is suitable for
+gtk+3: interfaces. Offering a complete set of widgets, GTK+ is suitable for
gtk+3: projects ranging from small one-off projects to complete application
gtk+3: suites.
gtk+3: